# Coveralls::Lcov

Upload coverage information generated by LCOV to coveralls.io.

coveralls-lcov supports travis-ci.org and travis-ci.com (via the `--service-name` switch).

## Installation

Add this line to your application's Gemfile:

    gem 'coveralls-lcov'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install coveralls-lcov

Alternatively if you want to install your own build of `coveralls-lcov` system-wide (one-step installation):

    $ sudo rake install

## Usage

In .travis.yml

Do not use `sudo` when install Gem because `sudo` doesn't refer PATH changed by RVM.

```yaml
install:
  - sudo apt-get install -y lcov
  - gem install coveralls-lcov
before_script:
  - ./autogen.sh
  - ./configure --enable-coverage
script:
  - make check
after_success:
  - lcov --compat-libtool --directory . --capture --output-file coverage.info
  - coveralls-lcov coverage.info
```

or by hand

```
$ coveralls-lcov --repo-token "YOUR TOKEN" coverage.info
```

you can also put the token into the config file `.coveralls.yml` like this

```yaml
repo_token: abcd....
```

and then execute

```
$ coveralls-lcov coverage.info
```

### C1 coverage support

You can report C1 coverage using `--rc lcov_branch_coverage=1`.

```yaml
after_success:
  - lcov --compat-libtool --directory . --capture --rc lcov_branch_coverage=1 --output-file coverage.info 
  - coveralls-lcov coverage.info
```

See also lcovrc(5).

## Contributing

1. Fork it ( http://github.com/okkez/coveralls-lcov/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
